Subject: Re: [mobile-ip] Coexistence with other uses for routing header

From: Alper Yegin <[email-masked]>
Date: Tue, 4 Sep 2001 18:39:48 -0700 (PDT)

Hi Mike,

> Alper Yegin writes:
>  > If we are going to make route optimization work with other uses of routing 
>  > headers, why not make it work even when Home Address of a mobile node is 
not 
>  > only the final destination of a packet, but also maybe an intermediate hop?
> 
>    Are you talking about the case where a mobile host is behind
>    a mobile router? If so, how would CN know what order to put
>    the routing headers in given two BU's?

I wasn't really thinking about that. It's just that CN is sending a packet that 
has to go through a MN (which is away from home and CN knows its CoA).

alper

---

From: Michael Thomas <[email-masked]>
Date: Tue, 4 Sep 2001 18:44:20 -0700 (PDT)

> has to go through a MN (which is away from home and CN knows its CoA).

   I guess I'm being really dense here, but...
   something that allows a packet to traverse a
   mobile node node is a router, no?

	       Mike